package com.ruoyi.common.core.domain.entity;

import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.List;

/**
 * 分类表 sys_dept
 *
 * @author ruoyi
 */
public class ArticleClassify extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 分类ID */
    private Long classifyId;

    /** 父分类ID */
    private Long parentId;

    /** 父分类ID */
    private Long deptId;

    /** 运营商 */
    private String deptName;

    /** 祖级列表 */
    private String ancestors;

    /** 分类名称 */
    private String classifyName;

    /** 显示顺序 */
    private Integer orderNum;


    /** 分类状态:0正常,1停用 */
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 父分类名称 */
    private String parentName;

    /** 代理商id */
    private Long agentId;

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    /** 子分类 */
    private List<ArticleClassify> children = new ArrayList<ArticleClassify>();

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getParentId()
    {
        return parentId;
    }

    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public String getAncestors()
    {
        return ancestors;
    }

    public void setAncestors(String ancestors)
    {
        this.ancestors = ancestors;
    }

    @NotBlank(message = "分类名称不能为空")
    @Size(min = 0, max = 30, message = "分类名称长度不能超过30个字符")
    public String getClassifyName()
    {
        return classifyName;
    }

    public void setClassifyName(String classifyName)
    {
        this.classifyName = classifyName;
    }

    @NotNull(message = "显示顺序不能为空")
    public Integer getOrderNum()
    {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum)
    {
        this.orderNum = orderNum;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getParentName()
    {
        return parentName;
    }

    public void setParentName(String parentName)
    {
        this.parentName = parentName;
    }

    public List<ArticleClassify> getChildren()
    {
        return children;
    }

    public void setChildren(List<ArticleClassify> children)
    {
        this.children = children;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
}
